%define svn r68
Summary: Design and edit database files compatible with SQLite
Name: sqlitebrowser
Version: 2.0
Release: %mkrel -c %svn 1
Source0: sqlitebrowser-%svn.tar.xz
#Source0: http://heanet.dl.sourceforge.net/sourceforge/sqlitebrowser/%{name}_200_%{beta}_src.tar.gz
Patch0: sqlitebrowser-2.0-fix-str-fmt.patch
License: Public Domain
Group: System/Configuration/Other
Url: http://sqlitebrowser.sourceforge.net/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel

%description
SQLite Database Browser is a freeware, public domain, open source 
visual tool used to create, design and edit database files compatible 
with SQLite. It is meant to be used for users and developers that want 
to create databases, edit and search data using a familiar 
spreadsheet-like interface, without the need to learn complicated 
SQL commands. Controls and wizards are available for users to:

    * Create and compact database files
    * Create, define, modify and delete tables
    * Create, define and delete indexes
    * Browse, edit, add and delete records
    * Search records
    * Import and export records as text
    * Import and export tables from/to CSV files
    * Import and export databases from/to SQL dump files
    * Issue SQL queries and inspect the results
    * Examine a log of all SQL commands issued by the application


%prep
%setup -q -n %{name}/%{name}
%patch0 -p1
chmod 644 sqlitebrowser/*txt

%build
%qmake_qt4
%make

%install
rm -rf $RPM_BUILD_ROOT
cd sqlitebrowser
install -d -m 755 %{buildroot}/%{_bindir}
cp sqlitebrowser %{buildroot}/%{_bindir}/
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/mandriva-%name.desktop << EOF
[Desktop Entry]
Name=SQLite database browser
Comment=GUI editor for SQLite databases
TryExec=sqlitebrowser
Exec=sqlitebrowser
Icon=sqlitebrowser
Terminal=false
Type=Application
Categories=Development;Database;Qt;
MimeType=application/x-sqlite3;
EOF

install -m 644 -D images/128.png %buildroot%_datadir/icons/hicolor/128x128/apps/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc sqlitebrowser/*.txt
%{_bindir}/sqlitebrowser
%_datadir/applications/mandriva-%name.desktop
%_datadir/icons/hicolor/128x128/apps/%name.png



%changelog
* Wed Jun 15 2011 Götz Waschk <waschk@mandriva.org> 2.0-0.r68.1mdv2011.0
+ Revision: 685285
- switch to latest svn version
- add docs
- fix format string patch
- install desktop entry and menu

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 2.0-0.b1.1mdv2010.1
+ Revision: 507376
- New version 2.0 b1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 1.3-6mdv2009.0
+ Revision: 260988
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.3-5mdv2009.0
+ Revision: 253070
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-3mdv2008.1
+ Revision: 140851
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.3-3mdv2008.0
+ Revision: 71552
- rebuild


* Wed Aug 09 2006 glehmann
+ 08/09/06 21:19:05 (55160)
rebuild

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:31:42 (42720)
Import sqlitebrowser

* Sat May 06 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Thu May 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- * Tue May 24 2005 Patrice Ferlet <metal3d@copix.org> 1.2.1-1mdk
  - Initial build
- add missing buildrequires and remove requires
- add url in source
- use mkrel

